@charset "UTF-8";

/* -------------------------------------------------------
name : base.css
version : 2.0
--------------------------------------------------------- */

/* var
---------------------------------------------------------------- */
:root {
  /*
  ** font-size
  ---------------------------------------------------------------- */
  --fs-ttl-top: 3.125rem;
  --fs-ttl-ll: clamp(1.375rem, 6.8vw, 2.125rem);
  --fs-ttl-l: clamp(1.25rem, 6.3vw, 1.75rem);
  --fs-ttl-m: clamp(1.125rem, 5.3vw, 1.625rem);
  --fs-ttl-s: clamp(1.125rem, 4.7vw, 1.375rem);
  --fs-ttl-xs: clamp(1rem, 4.7vw, 1.25rem);
  --fs-lead: clamp(1rem, 4.7vw, 1.125rem);
  --fs-default: clamp(0.875rem, 4.2vw, 1rem);
  --fs-notes: clamp(0.75rem, 3.7vw, 0.875rem);

  /* theme styles
  ---------------------------------------------------------------- */
  /* border-radius */
  --btn-br: 100vh; /* ボタン */
  --box-br: 10px; /* ボックス,ブロック */

  /* box-shadow */
  --shadow: 0px 0px 20px rgba(0, 0, 0, 0.1);

  /* separator */
  --separator-top: repeating-linear-gradient(90deg, var(--gray), var(--gray) 8px, transparent 8px, transparent 16px) top / 100% 2px repeat-x;

  /* theme layout size
  ---------------------------------------------------------------- */
  /* gap */
  --gap-xs: 0.5rem;
  --gap-s: 1rem;
  --gap-m: 1.5rem;
  --gap-l: 2rem;
  --gap-ll: 2.5rem;

  /* padding */
  --wrap-pd: 3rem;
  --box-pd: 1.5rem 1rem;

  /* space */
  --space-xl: 4.6875rem;
  --space-ll: 3.75rem;
  --space-lm: 3.125rem;
  --space-ls: 2.5rem;
  --space-ml: 2.1875rem;
  --space-mm: 1.875rem;
  --space-ms: 1.25rem;
  --space-sl: 0.9375rem;
  --space-sm: 0.625rem;
  --space-ss: 0.375rem;
  --space-xs: 0.1875rem;

  /* layout */
  --contents-width: 100rem;
  --contents-inner-width: 75rem;

  /* header */
  --header-height: 3.75rem;
  --hamburger-side-width: 0.625rem;
  --header-side-mg: 1.875rem;
  --header-side-pd: 2.5rem;
}

/* default settings
---------------------------------------------------------------- */
body {
  position: relative;
  letter-spacing: 0.06em;
  font-feature-settings: 'palt';
  word-wrap: break-word;
  width: 100%;
  z-index: 2;
}

/* スキップリンク「主要コンテンツへ」ボタン */
.skip-link {
  position: absolute;
  top: -44px;
  left: 0;
  color: black;
  padding: 8px;
  z-index: 100;
  border-radius: 0 0 3px 0;
}

.skip-link:focus {
  top: 0;
}
h1 {
  font-size: var(--fs-ttl-l);
  line-height: 1.3;
}
h2 {
  font-size: var(--fs-ttl-m);
  line-height: 1.3;
}
h3,
h4 {
  font-size: var(--fs-ttl-s);
  line-height: 1.3;
}
h5 {
  font-size: var(--fs-ttl-xs);
}
p {
  font-size: var(--fs-default);
  line-height: 1.8;
}
a {
  font-size: var(--fs-default);
  /* color: var(--blue-link); */
  text-decoration: none;
}
a,
a img {
  transition: all 0.3s;
}
a:hover {
  opacity: 0.6;
  transition: 0.3s ease-in-out;
}
:focus-visible {
  outline: var(--cl-accent) 3px solid;
  opacity: 1;
  transition: none;
  outline-offset: 5px;
}
@supports not selector(:focus-visible) {
  :focus {
    outline: var(--cl-accent) 3px solid;
    outline-offset: 5px;
  }
}
button {
  background-color: transparent;
  padding: 0;
  appearance: none;
}
[type='button'] {
  text-align: center;
}
input[type='text'],
input[type='number'],
input[type='tel'],
input[type='email'],
input[type='url'],
input[type='password'],
input[type='search'],
input[type='date'],
textarea {
  display: inline-block;
  font-size: var(--fs-default);
  padding: 0.5em 0.8em;
  border: var(--gray) 1px solid;
  border-radius: var(--box-br);
  width: 100%;
}
select {
  display: inline-block;
  font-size: var(--fs-default);
  padding: 0.5em 0.8em;
  background: var(--white);
  border: var(--gray) 1px solid;
  border-radius: var(--box-br);
  width: 100%;
}
/* バー */
input[type='range'] {
  outline: none;
  height: 5px;
  width: 100%;
  background: var(--d-gray);
  border-radius: var(--box-br);
}
/* つまみ */
input[type='range']::-webkit-slider-thumb {
  -webkit-appearance: none;
  background: var(--d-gray);
  width: 1.5em;
  height: 1.5em;
  border-radius: 50%;
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.15);
}
input[type='range']::-moz-range-thumb {
  background: var(--d-gray);
  width: 1.5em;
  height: 1.5em;
  border-radius: 50%;
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.15);
  border: none;
}
/* Firefoxで点線が周りに表示されてしまう問題の解消 */
input[type='range']::-moz-focus-outer {
  border: 0;
}
/* つまみをドラッグしているときのスタイル */
input[type='range']:active::-webkit-slider-thumb {
  box-shadow: 0px 5px 10px -2px rgba(0, 0, 0, 0.3);
}
input[type='color'] {
  border: var(--gray) 1px solid;
  border-radius: 3px;
  padding: 3px;
}
input[type='submit'],
input[type='reset'] {
  border: var(--gray) 1px solid;
  border-radius: var(--box-br);
  padding: 0.5em 0.8em;
  width: 100%;
  text-align: center;
}

/* font-size
---------------------------------------------------------------- */
.fs-ttl-ll {
  font-size: var(--fs-ttl-ll);
}
.fs-ttl-l {
  font-size: var(--fs-ttl-l);
}
.fs-ttl-m {
  font-size: var(--fs-ttl-m);
}
.fs-ttl-s {
  font-size: var(--fs-ttl-s);
}
.fs-ttl-xs {
  font-size: var(--fs-ttl-xs);
}
.fs-lead {
  font-size: var(--fs-lead);
}
.fs-default {
  font-size: var(--fs-default);
}
.fs-notes {
  font-size: var(--fs-notes);
}

/* color
---------------------------------------------------------------- */
/* background (theme) */
.bg-base {
  background: var(--cl-base);
}
.bg-base02 {
  background: var(--cl-base02);
}
.bg-main {
  background: var(--cl-main);
}
.bg-accent {
  background: var(--cl-accent);
}
.bg-accent-02 {
  background: var(--cl-accent-02);
}
.bg-accent-03 {
  background: var(--cl-accent-03);
}
.bg-accent-04 {
  background: var(--cl-accent-04);
}
.bg-sub {
  background: var(--cl-sub);
}
.bg-sub-02 {
  background: var(--cl-sub-02);
}
.bg-sub-03 {
  background: var(--cl-sub-03);
}
.bg-sub-04 {
  background: var(--cl-sub-04);
}
/* background (basic) */
.bg-black {
  background: var(--black);
}
.bg-white {
  background: var(--white);
}
.bg-gray {
  background: var(--gray);
}

/* text(theme) */
.cl-base {
  color: var(--cl-base);
}
.cl-sub {
  color: var(--cl-sub);
}
.cl-main {
  color: var(--cl-main);
}
.cl-accent {
  color: var(--cl-accent);
}
/* text(basic) */
.cl-white {
  color: var(--white);
}
.cl-red {
  color: var(--red);
}
.cl-font {
  color: var(--cl-font);
}

.cl-cta {
  color: var(--cl-cta);
}
.cl-cta02 {
  color: var(--cl-cta02);
}
.cl-cta03 {
  color: var(--cl-cta03);
}

/* font-weight
---------------------------------------------------------------- */
.font-bold {
  font-weight: bold !important;
}
.font-normal {
  font-weight: normal !important;
}

/* line-height
---------------------------------------------------------------- */
.lh-16 {
  line-height: 1.6;
}
.lh-20 {
  line-height: 2;
}

/* text-align
---------------------------------------------------------------- */
.text-left {
  text-align: left;
}
.text-center {
  text-align: center;
}
.text-right {
  text-align: right;
}

.text-l-c {
  text-align: left;
}
.text-c-l {
  text-align: center;
}
.text-r-l {
  text-align: right;
}

/* width・height
---------------------------------------------------------------- */
.w-100 {
  width: 100%;
}
.w-fit {
  width: fit-content;
}
.mw-90 {
  max-width: 90%;
}
.mw-80 {
  max-width: 80%;
}
.mw-70 {
  max-width: 70%;
}
.mw-600 {
  max-width: 600px;
}

.h-100 {
  height: 100%;
}
.wh-100 {
  width: 100%;
  height: 100%;
}

/* ボタン width */
.mw-btn-ss {
  max-width: 9.375rem;
}
.mw-btn-s {
  max-width: 15.625rem;
}
.mw-btn-m {
  max-width: 21.875rem;
}
.mw-btn-l {
  max-width: 28.125rem;
}

/* padding
---------------------------------------------------------------- */
.pd-tb {
  padding-top: var(--wrap-pd);
  padding-bottom: var(--wrap-pd);
}
.pd-tp {
  padding-top: var(--wrap-pd);
}
.pd-bt {
  padding-bottom: var(--wrap-pd);
}
.pd-page-bt {
  padding-bottom: calc(var(--wrap-pd) + var(--footer-radius));
}

/* margin-auto
---------------------------------------------------------------- */
.mlr-auto {
  margin-left: auto;
  margin-right: auto;
}
.ml-auto {
  margin-left: auto;
}
.mr-auto {
  margin-right: auto;
}

/* margin-top
---------------------------------------------------------------- */
.mt-xxs {
  margin-top: var(--space-xxs);
}
.mt-xs {
  margin-top: var(--space-xs);
}
.mt-ss {
  margin-top: var(--space-ss);
}
.mt-sm {
  margin-top: var(--space-sm);
}
.mt-sl {
  margin-top: var(--space-sl);
}
.mt-ms {
  margin-top: var(--space-ms);
}
.mt-mm {
  margin-top: var(--space-mm);
}
.mt-ml {
  margin-top: var(--space-ml);
}
.mt-ls {
  margin-top: var(--space-ls);
}
.mt-lm {
  margin-top: var(--space-lm);
}
.mt-ll {
  margin-top: var(--space-ll);
}
.mt-xl {
  margin-top: var(--space-xl);
}

/* margin-bottom
---------------------------------------------------------------- */
.mb-xs {
  margin-top: var(--space-xs);
}
.mb-ss {
  margin-top: var(--space-ss);
}
.mb-sm {
  margin-top: var(--space-sm);
}
.mb-sl {
  margin-top: var(--space-sl);
}
.mb-ms {
  margin-top: var(--space-ms);
}
.mb-mm {
  margin-top: var(--space-mm);
}
.mb-ml {
  margin-top: var(--space-ml);
}
.mb-ls {
  margin-top: var(--space-ls);
}
.mb-lm {
  margin-top: var(--space-lm);
}
.mb-ll {
  margin-top: var(--space-ll);
}
.mb-xl {
  margin-top: var(--space-xl);
}

/* display
---------------------------------------------------------------- */
.d-i {
  display: inline;
}
.d-ib {
  display: inline-block;
}
.d-b {
  display: block;
}
.d-none {
  display: none !important;
}

/* position
---------------------------------------------------------------- */
.p-static {
  position: static;
}
.p-relative {
  position: relative;
}
.p-absolute {
  position: absolute;
}
.p-fixed {
  position: fixed;
}
.p-sticky {
  position: sticky;
}

/* style
---------------------------------------------------------------- */
.u-line {
  text-decoration: underline;
}
/* hover */
.hov-op1:hover {
  opacity: 1;
}

/* layout
---------------------------------------------------------------- */
/* 標準 */
.b-wrapper {
  padding-right: 20px;
  padding-left: 20px;
  width: 100%;
}
@media only screen and (max-width: 400px) {
  .b-wrapper {
    padding-right: 10px;
    padding-left: 10px;
  }
}
/* 子要素を親要素からはみ出させて画面いっぱいにする(はみださせる親要素のさらに親要素に overflow:hidden;を設定すること) */
.break-wrapper {
  margin-right: calc(50% - 50vw);
  margin-left: calc(50% - 50vw);
}

/* flexbox
---------------------------------------------------------------- */
.flex-basic {
  display: flex;
}
.flex-row-reverse {
  display: flex;
  flex-direction: row-reverse;
}
.flex-nowrap {
  display: flex;
  flex-wrap: nowrap;
}
.flex-wrap {
  display: flex;
  flex-wrap: wrap;
}
.flex-between {
  display: flex;
  justify-content: space-between;
}
.flex-around {
  display: flex;
  justify-content: space-around;
}
.flex-end {
  display: flex;
  justify-content: flex-end;
}
.flex-column {
  display: flex;
  flex-direction: column;
}

.flex-center {
  display: flex;
  justify-content: center;
  align-items: center;
}
.flex-h-center {
  display: flex;
  justify-content: center;
}
.flex-v-center {
  display: flex;
  align-items: center;
}

/* gap
---------------------------------------------------------------- */
.gap-xs {
  gap: var(--gap-xs);
}
.gap-s {
  gap: var(--gap-s);
}
.gap-m {
  gap: var(--gap-m);
}
.gap-l {
  gap: var(--gap-l);
}
.gap-ll {
  gap: var(--gap-ll);
}

/* column
---------------------------------------------------------------- */
:root {
  /* gap */
  --row-gap: 2em;
  --col-gap: 1.5em;
}
.col-2-1,
.col-2-2,
.col-3-1,
.col-3-2,
.col-3-2-1,
.col-4-1,
.col-4-2,
.col-4-2-1,
.col-4-3-2,
.col-5-2,
.col-5-3,
.col-5-3-2,
.col-75to25,
.col-25to75,
.col-7to3,
.col-3to7,
.col-65to35,
.col-35to65,
.col-6to4,
.col-4to6,
.col-55to45,
.col-45to55 {
  width: 100%;
  height: auto;
}

/* flex-column
---------------------------------------------------------------- */
.flex-col {
  display: flex;
  flex-wrap: wrap;
  row-gap: var(--row-gap);
  column-gap: var(--col-gap);
}

:where(.flex-col.col-2-1, .flex-col.col-2-2) > .col-item {
  --col-num: 2;
  width: calc(calc(100% / var(--col-num)) - calc(var(--col-gap) / calc(var(--col-num) / calc(var(--col-num) - 1))));
}
:where(.flex-col.col-3-1, .flex-col.col-3-2, .flex-col.col-3-2-1) > .col-item {
  --col-num: 3;
  width: calc(calc(100% / var(--col-num)) - calc(var(--col-gap) / calc(var(--col-num) / calc(var(--col-num) - 1))));
}
:where(.flex-col.col-4-1, .flex-col.col-4-2, .flex-col.col-4-2-1, .flex-col.col-4-3-2) > .col-item {
  --col-num: 4;
  width: calc(calc(100% / var(--col-num)) - calc(var(--col-gap) / calc(var(--col-num) / calc(var(--col-num) - 1))));
}
:where(.flex-col.col-5-2, .flex-col.col-5-3, .flex-col.col-5-3-2) > .col-item {
  --col-num: 5;
  width: calc(calc(100% / var(--col-num)) - calc(var(--col-gap) / calc(var(--col-num) / calc(var(--col-num) - 1))));
}

/* grid-column
---------------------------------------------------------------- */
.grid-col {
  display: grid;
  row-gap: var(--row-gap);
  column-gap: var(--col-gap);
}

/* 動的な繰り返しカラム */
.grid-col.col-2-1,
.grid-col.col-2-2 {
  grid-template-columns: repeat(2, 1fr);
}
.grid-col.col-3-1,
.grid-col.col-3-2,
.grid-col.col-3-2-1 {
  grid-template-columns: repeat(3, 1fr);
}
.grid-col.col-4-1,
.grid-col.col-4-2,
.grid-col.col-4-2-1,
.grid-col.col-4-3-2 {
  grid-template-columns: repeat(4, 1fr);
}
.grid-col.col-5-2,
.grid-col.col-5-3,
.grid-col.col-5-3-2 {
  grid-template-columns: repeat(5, 1fr);
}

/* 固定比率カラム */
.grid-col.col-75to25 {
  grid-template-columns: 75fr 25fr;
}
.grid-col.col-25to75 {
  grid-template-columns: 25fr 75fr;
}
.grid-col.col-7to3 {
  grid-template-columns: 7fr 3fr;
}
.grid-col.col-3to7 {
  grid-template-columns: 3fr 7fr;
}
.grid-col.col-65to35 {
  grid-template-columns: 65fr 35fr;
}
.grid-col.col-35to65 {
  grid-template-columns: 35fr 65fr;
}
.grid-col.col-6to4 {
  grid-template-columns: 6fr 4fr;
}
.grid-col.col-4to6 {
  grid-template-columns: 4fr 6fr;
}
.grid-col.col-55to45 {
  grid-template-columns: 55fr 45fr;
}
.grid-col.col-45to55 {
  grid-template-columns: 45fr 55fr;
}

/* ユーティリティクラス */
.grid-gap-none {
  gap: 0;
}
.grid-gap-row-none {
  row-gap: 0;
}
.grid-gap-clm-none {
  column-gap: 0;
}
.grid-clm-reverse {
  direction: rtl;
}
.grid-clm-reverse .col-item {
  direction: ltr;
}
.grid-center {
  place-items: center;
}
.grid-h-center {
  justify-items: center;
}
.grid-v-center {
  align-items: center;
}

/* form style
---------------------------------------------------------------- */
/* セレクトボックス ---------- */
.select-styled {
  position: relative;
  width: 100%;
}
.select-styled::after {
  content: '';
  position: absolute;
  top: 50%;
  right: 0.5em;
  transform: translateY(-50%);
  border-style: solid;
  border-width: 0.6em 0.6em 0 0.6em;
  border-color: var(--gray) transparent transparent transparent;
}
/* ラジオボタン ---------- */
.radio-styled {
  position: relative;
}
.radio-styled + .radio-styled {
  margin: 0.5em 0 0;
}
.radio-styled input[type='radio'] {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  width: 1.5em;
  height: 1.5em;
}
.radio-styled label {
  display: inline-block;
  white-space: nowrap;
  cursor: pointer;
}
.radio-styled label span {
  padding-left: 2em;
}
.radio-styled label:hover {
  opacity: 0.6;
  transition: 0.3s ease-in-out;
}
.radio-styled label span::before {
  content: '';
  background: var(--white);
  border-radius: 100%;
  border: 1px solid var(--gray);
  display: inline-block;
  width: 1.5em;
  height: 1.5em;
  position: absolute;
  top: 0;
  left: 0;
  margin-right: 0.3em;
  vertical-align: top;
  text-align: center;
  transition: all 250ms ease;
}
.radio-styled input[type='radio']:checked + span,
.radio-styled input[type='radio']:checked + label span {
  color: var(--cl-main);
}
.radio-styled input[type='radio']:checked + span::before,
.radio-styled input[type='radio']:checked + label span::before {
  background-color: var(--cl-main);
  box-shadow: inset 0 0 0 4px var(--white);
  border-color: var(--cl-main);
}
.radio-styled input[type='radio']:disabled + span::before,
.radio-styled input[type='radio']:disabled + label span::before {
  box-shadow: inset 0 0 0 4px var(--white);
  border-color: var(--gray);
  background: var(--gray);
}
.radio-styled input[type='radio'] + span:empty::before,
.radio-styled input[type='radio'] + label span:empty::before {
  margin-right: 0;
}
.radio-styled input[type='radio']:focus-visible + span,
.radio-styled input[type='radio']:focus-visible + label span {
  border-color: var(--blue-link);
  border-width: 2px;
}

/* チェックボックス ---------- */
.checkbox-styled {
  position: relative;
}
.checkbox-styled + .checkbox-styled {
  margin: 0.5em 0 0;
}
.checkbox-styled input[type='checkbox'] {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  width: 1.5em;
  height: 1.5em;
}
.checkbox-styled label {
  display: inline-block;
  cursor: pointer;
  white-space: nowrap;
}
.checkbox-styled label:hover {
  opacity: 0.6;
  transition: 0.3s ease-in-out;
}
.checkbox-styled label span {
  position: absolute;
  top: 0;
  left: 0;
  padding-left: 2em;
  display: inline-block;
}
.checkbox-styled label span:before {
  content: '';
  display: block;
  width: 1.5em;
  height: 1.5em;
  border: 1px solid var(--gray);
  background: var(--white);
  position: absolute;
  left: 0;
  top: 0;
  -webkit-transition:
    all 0.12s,
    border-color 0.08s;
  transition:
    all 0.12s,
    border-color 0.08s;
}
.checkbox-styled input[type='checkbox']:checked + span,
.checkbox-styled input[type='checkbox']:checked + label span {
  color: var(--cl-main);
}
.checkbox-styled label input[type='checkbox']:checked + span::before,
.checkbox-styled input[type='checkbox']:checked + label span::before {
  width: 0.8em;
  top: -5px;
  left: 5px;
  border-radius: 0;
  opacity: 1;
  border: 1px solid var(--cl-main);
  background: transparent;
  border-top-color: transparent;
  border-left-color: transparent;
  transform: rotate(45deg);
}
.checkbox-styled input[type='checkbox']:focus-visible + span,
.checkbox-styled input[type='checkbox']:focus-visible + label span {
  border-color: var(--blue-link);
  border-width: 2px;
}

/* ファイル選択 ---------- */
.file-styled {
  display: flex;
  align-items: center;
  gap: 0.5em;
}
.file-styled button {
  padding: 0.5em 0.8em;
  background: var(--white);
  border: var(--gray) 1px solid;
  border-radius: var(--box-br);
  transition: 0.3s all;
}
.file-styled button:hover {
  color: var(--white);
  background: var(--black);
}
.file-styled input {
  display: none;
}

/* 同意チェックボックス */
.privacy-check-box-area {
  padding: 1em 2em;
  background: var(--cl-base);
  position: relative;
}
.checkbox-01 {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.checkbox-01 label {
  display: flex;
  flex-wrap: wrap;
  cursor: pointer;
  position: relative;
  margin: 0.3em 0.3em 0.3em 0.6em;
}
.checkbox-01 label span {
  display: flex;
}
.checkbox-01 label span:before {
  content: '';
  display: block;
  position: relative;
  background-color: var(--white);
  width: 25px;
  min-width: 25px;
  height: 25px;
  transform-origin: center;
  border: 1px solid var(--gray);
  transition:
    background-color 150ms 200ms,
    transform 350ms cubic-bezier(0.78, -1.22, 0.17, 1.89);
  margin: 0 0.5em 0 0;
}
.checkbox-01 label span:after {
  content: '';
  width: 0px;
  height: 0px;
  border-top: 1px solid var(--white);
  border-right: 1px solid var(--white);
  position: absolute;
  transform: rotate(135deg);
  top: 0.5em;
  left: 1.3em;
  transition: 0.3s all;
  transform-origin: 0% 0%;
}
.checkbox-01 label:hover span:after {
  width: 14px;
  height: 10px;
  border-top: 2px solid var(--l-gray);
  border-right: 2px solid var(--l-gray);
}
.checkbox-01 input[type='checkbox'] {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  width: 1.5em;
  height: 1.5em;
}
.checkbox-01 input[type='checkbox']:checked + label {
  color: var(--cl-main);
}
.checkbox-01 input[type='checkbox']:checked + label span:before {
  transform: scale(1.25);
  border: 2px solid var(--cl-main);
  transition:
    background-color 150ms 200ms,
    transform 350ms cubic-bezier(0.78, -1.22, 0.17, 1.89);
}
.checkbox-01 input[type='checkbox']:checked + label span:after {
  width: 14px;
  height: 10px;
  border-top: 2px solid var(--cl-main);
  border-right: 2px solid var(--cl-main);
  transition:
    background-color 150ms 200ms,
    transform 350ms cubic-bezier(0.78, -1.22, 0.17, 1.89);
}
.checkbox-01 input[type='checkbox']:checked + label:hover span:before {
  transform: scale(1.25);
  transition:
    background-color 150ms 200ms,
    transform 350ms cubic-bezier(0.78, -1.22, 0.17, 1.89);
}
.checkbox-01 input[type='checkbox']:checked + label:hover span:after {
  width: 14px;
  transition:
    background-color 150ms 200ms,
    transform 350ms cubic-bezier(0.78, -1.22, 0.17, 1.89);
}
.checkbox-01 input[type='checkbox']:focus-visible + span,
.checkbox-01 input[type='checkbox']:focus-visible + label span {
  border-color: var(--blue-link);
  border-width: 2px;
}

/* フォーム確認・送信ボタン */
.btn-form-submit,
.btn-form-back {
  position: relative;
  width: 100%;
}
.btn-form-submit input {
  font-size: var(--fs-default);
  font-weight: bold;
  background: var(--cl-accent);
  color: var(--white);
  text-decoration: none !important;
  width: 100%;
  height: 100%;
  padding: 0.8em 0;
  border: none;
  border-radius: var(--btn-br);
  cursor: pointer;
  transition: all 0.3s;
  -webkit-appearance: none;
}
.btn-form-submit::after {
  content: '';
  position: absolute;
  color: var(--white);
  border-top: 2px solid var(--white);
  border-right: 2px solid var(--white);
  width: 0.6em;
  height: 0.6em;
  top: 0;
  bottom: 0;
  right: 20px;
  margin: auto;
  transition: 0.3s;
  transform: rotate(45deg);
}
.btn-form-submit:hover::after {
  right: 15px;
}
.btn-form-submit input:disabled {
  background: var(--gray);
}

/* 入力画面へ戻るボタン */
.btn-form-back input {
  font-size: var(--fs-default);
  font-weight: bold;
  background: var(--d-gray);
  color: var(--white);
  text-decoration: none !important;
  width: 100%;
  height: 100%;
  padding: 0.8em 0;
  border: none;
  border-radius: var(--btn-br);
  cursor: pointer;
  transition: all 0.3s;
  -webkit-appearance: none;
}
.btn-form-back::before {
  content: '';
  position: absolute;
  color: var(--white);
  border-top: 2px solid var(--white);
  border-right: 2px solid var(--white);
  width: 0.6em;
  height: 0.6em;
  top: 0;
  bottom: 0;
  left: 20px;
  margin: auto;
  transition: 0.3s;
  transform: rotate(-135deg);
}
.btn-form-back:hover::before {
  left: 15px;
}

.form-container {
  border: var(--gray) 2px solid;
  padding: 2em;
  margin-left: auto;
  margin-right: auto;
}
.form-container dl {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  padding: 1.5em 0;
}
.form-container dl + dl {
  border-top: var(--gray) 1px solid;
}
.form-container dl dt {
  position: relative;
  width: 30%;
  font-weight: bold;
}
.form-container dl dd {
  width: 70%;
  padding-left: 1em;
}
/* 郵便番号 */
.form-container input[name='postal'] {
  width: 60%;
}
.form-container input[name='postal'] + a {
  display: inline-block;
  padding: 0.5em 1em;
  border: 1px solid var(--cl-main);
  border-radius: 3px;
  background: var(--cl-main);
  font-size: 16px;
  line-height: normal;
  color: var(--white);
  text-decoration: none;
  margin-left: 0.5em;
  cursor: pointer;
}

/* -- span.required, span.optional --*/
.form-container dl dt i {
  position: absolute;
  top: 0;
  right: 0.5em;
}
.form-container dl dt span.required,
.form-container dl dt span.optional {
  display: inline-block;
  font-size: 85%;
  color: var(--white);
  padding: 0.2em 0.8em;
  border-radius: 3px;
  font-style: normal;
}
.form-container dl dt span.required {
  background: var(--red);
  border: 1px solid var(--red);
}
.form-container dl dt span.optional {
  background: var(--gray);
  border: 1px solid var(--gray);
}

/* -- error message --*/
.form-container dl dd span.error_blank,
.form-container dl dd span.error_format,
.form-container dl dd span.error_match {
  display: block;
  color: var(--red);
  margin-top: 5px;
}

/* -- confirm --*/
div#confirm_field {
  display: none;
}

/* ステップ */
.form-steps {
  width: 100%;
  margin: 0 auto;
}
.form-steps ul {
  display: flex;
  justify-content: space-between;
}
.form-steps ul li {
  position: relative;
  text-align: center;
  background: var(--gray);
  width: calc(100% / 3);
}
.form-steps ul li:first-of-type {
  border-radius: 5px 0 0 5px;
}
.form-steps ul li:last-of-type {
  border-radius: 0 5px 5px 0;
}
.form-steps ul li:nth-child(n + 2) {
  margin-left: 1.75rem;
}
.form-steps ul li:nth-child(n + 2):before {
  content: '';
  position: absolute;
  top: 50%;
  border: 0 solid var(--gray);
  border-width: 25px 20px;
  width: 0;
  height: 0;
  left: -20px;
  border-left-color: transparent;
  transform: translateY(-50%);
}
.form-steps ul li.active:nth-child(n + 2):before {
  content: '';
  position: absolute;
  top: 50%;
  border: 0 solid var(--cl-main);
  border-width: 25px 20px;
  width: 0;
  height: 0;
  left: -20px;
  border-left-color: transparent;
  transform: translateY(-50%);
}
.form-steps ul li span {
  position: relative;
  display: block;
  height: 50px;
  line-height: 50px;
}
.form-steps ul li span:after {
  content: '';
  position: absolute;
  top: 50%;
  border: 0 solid var(--gray);
  border-width: 25px 20px;
  width: 0;
  height: 0;
  left: 100%;
  border-color: transparent;
  border-left-color: var(--gray);
  transform: translateY(-50%);
}
.form-steps ul li:last-of-type span::after {
  display: none;
}
.form-steps ul li.active {
  background: var(--cl-main);
}
.form-steps ul li.active span {
  color: var(--white);
}
.form-steps ul li.active span:after {
  border-left-color: var(--cl-main);
}

/* table
---------------------------------------------------------------- */
.d-table {
  display: table;
  width: 100%;
}
.d-table-cell {
  display: table-cell;
  vertical-align: top;
}
table {
  border-collapse: collapse;
}
table th,
table td {
  border: var(--gray) 1px solid;
  padding: 0.5em;
}

/* iframe  google map / youtube
---------------------------------------------------------------- */
/* iframe */
.iframe-wrap iframe {
  width: 100%;
  height: 100%;
  aspect-ratio: 16 / 9;
}
/* video */
.video-wrap iframe {
  width: 100%;
  height: 100%;
  aspect-ratio: 16 / 9;
}
.editor-page iframe {
  width: 100%;
  height: 100%;
  aspect-ratio: 16 / 9;
}

/* animation
---------------------------------------------------------------- */
/* スクロールCSS */
.fade-in {
  opacity: 0;
  transition-duration: 1000ms;
  transition-property: opacity, transform;
}
.fade-in-up {
  transform: translate(0, 50px);
}
.fade-in-down {
  transform: translate(0, -50px);
}
.fade-in-left {
  transform: translate(-50px, 0);
}
.fade-in-right {
  transform: translate(50px, 0);
}
.scroll-in {
  opacity: 1;
  transform: translate(0, 0);
}

/* zoom */
.zoom-in,
.zoom-out,
.zoom-in-img {
  transition: 0.2s ease-in-out;
}
.zoom-in:hover {
  transform: scale(1.1);
}
.zoom-out:hover {
  transform: scale(0.95);
}
.zoom-in-img:hover img {
  transform: scale(1.1);
}

/* shake */
.shake:hover {
  display: inline-block;
  animation: shake 0.1s infinite;
}
@keyframes shake {
  0% {
    transform: translate(0px, 0px) rotateZ(0deg);
  }
  25% {
    transform: translate(2px, 2px) rotateZ(1deg);
  }
  50% {
    transform: translate(0px, 2px) rotateZ(0deg);
  }
  75% {
    transform: translate(2px, 0px) rotateZ(-1deg);
  }
  100% {
    transform: translate(0px, 0px) rotateZ(0deg);
  }
}

/* accessibility CSS ------------------------------------------------------------------------------------------- */

/* 視覚的に隠す */
.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  clip: rect(0 0 0 0);
  overflow: hidden;
}
/* スキップリンク「主要コンテンツへ」ボタン */
.skip-link {
  position: fixed;
  top: -624.9375rem;
  left: 0;
  background: var(--cl-accent);
  color: var(--cl-btn-link);
  font-weight: bold;
  padding: 0.8rem;
  z-index: 9999;
  border-radius: 0 0 0.3rem 0;
  transition: top 0.3s ease-in-out;
}
.skip-link:focus {
  top: 0;
  left: 0;
  width: auto;
  height: auto;
  border: 2px solid var(--cl-accent);
  opacity: 1;
}
